# RSK resources

> Note: Inclusion of an app or service on this page does not constitute an endorsement by the maintainer.  

## General information

RSK is a bitcoin sidechain supporting EVM-compatible smart contracts.

- Main project website: https://www.rsk.co  

- Similarities and differences between RSK and Ethereum: https://medium.com/iovlabs-innovation-stories/similarities-and-differences-between-rsk-and-ethereum-e480655eff37  

## Convert BTC to/from RBTC using the Powpeg

- About the Powpeg: https://developers.rsk.co/rsk/architecture/powpeg  

- Mainnet Powpeg guide: https://developers.rsk.co/rsk/rbtc/conversion/networks/mainnet  

## Buy/sell RBTC

- Bisq: https://bisq.network  

- Bitfinex: https://www.bitfinex.com  

- Exolix: https://exolix.com  

- FastBTC Relay: https://wiki.sovryn.app/en/sovryn-dapp/fast_btc  

- KuCoin: https://www.kucoin.com  

- Liquality: https://liquality.io/swap  

- LNSOV Bridge: https://lnsov.vercel.app  

## Testnet  

- Testnet Powpeg guide: https://developers.rsk.co/rsk/rbtc/conversion/networks/testnet  

- tRBTC faucet: https://faucet.testnet.rsk.co  

- tRSK explorer: https://explorer.testnet.rsk.co  

- tRSK stats: https://stats.testnet.rsk.co  

- tSOV faucet: https://faucet.sovryn.app  

## Full node implementations

- RSKj: https://developers.rsk.co/rsk/node  

## Block explorers  

- Blockscout: https://blockscout.com/rsk/mainnet  

- RSK Explorer: https://explorer.rsk.co  

## Analytics

- Chainbeat: https://chainbeat.io  

- RSK Gas Station: https://rskgasstation.info  

- RSK Network: https://stats.rsk.co  

## Wallets

### Software  

- Beexo: https://beexo.com  

- Cobo: https://cobo.com  

- Defiant: https://defiantapp.tech/home  

- Gnosis Multisig: https://gnosis.rsk.co  
  - Wallet factory contract address: `0xbda3deb48Ee37965B7D88EAc0a0E204bC2427c06`  

- Math Wallet: https://mathwallet.org/en-us  

- MyCrypto: https://download.mycrypto.com  

- MyEtherWallet: https://www.myetherwallet.com  

- rWallet: https://developers.rsk.co/wallet/rwallet  

#### Web3-enabled (for use with RSK dapps)

- Liquality: https://liquality.io  

- MetaMask: https://metamask.io  

- Nifty: https://www.poa.network/for-users/nifty-wallet  

- Portis: https://www.portis.io  

### Hardware  

- Ledger: https://support.ledger.com/hc/en-us/articles/360007705894  

- Trezor: https://trezor.io/coins/  

## Dapps  

### Exchange  

- RSKSwap: https://rskswap.com  

- Sovryn Trade: https://live.sovryn.app  

- Ethereum Token Bridge: https://tokenbridge.rsk.co  

- TEX: https://tex.moneyonchain.com  

### Finance  

- Money On Chain: https://alpha.moneyonchain.com  

- Sovryn Lend: https://live.sovryn.app/lend  

### Identity

- RIF Name Service: https://manager.rns.rifos.org  

### Layer 2  

- RIF Lumino: https://developers.rsk.co/rif/lumino  

### Tokens  

#### Fungible tokens

- BPRO: https://moneyonchain.com/bpro-income-for-bitcoin-holders  
  - Contract address: `0x440cd83C160de5C96DDb20246815EA44C7Abbca8`

- DOC: https://moneyonchain.com/doc-bitcoin-stablecoin  
  - Contract address: `0xe700691da7b9851f2f35f8b8182c69c53ccad9db`  

- ETHs:
  - Contract address `0x1D931BF8656D795e50Ef6d639562C5bD8AC2b78F`  

- rDAI: 
  - Contract address: `0x6b1a73d547f4009a26b8485b63d7015d248ad406`  

- rDOC: https://moneyonchain.com/rif-dollar  
  - Contract address: `0x2d919f19D4892381d58EdEbEcA66D5642ceF1A1F`  

- rFLIXX:
  - Contract address: `0x73c08467e23f7dcb7ddbbc8d05041b74467a498a`  

- RIF: https://developers.rsk.co/rif/token  
  - Contract address:`0x2acc95758f8b5f583470ba265eb685a8f45fc9d5`  

- rLINK:
  - Contract address: `0x14adae34bef7ca957ce2dde5add97ea050123827`  

- rRFOX:
  - Contract address: `0x9c3a5f8d686fade293c0ce989a62a34408c4e307`  

- rUSDC:
  - Contract address: `0x1bda44fda023f2af8280a16fd1b01d1a493ba6c4`  

- USDCs:
  - Contract address: `0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48`  

- rUSDT:
  - Contract address: `0xef213441a85df4d7acbdae0cf78004e1e486bb96`  
  
- USDTs:
  - Contract address: `0xdac17f958d2ee523a2206206994597c13d831ec7`   

- SOV: https://sovryn.app/blog/sov-tokenomics.html    
  - Contract address: `0xEFc78fc7d48b64958315949279Ba181c2114ABBd`

- xUSD:
  - Contract address: `0xb5999795BE0EbB5bAb23144AA5FD6A02D080299F`  

## Developer resources

### Guides

- The Complete Full Stack dApp Guide on RSK: https://developers.rsk.co/guides/full-stack-dapp-on-rsk/part1-overview  

### Tools

- GetBlock: https://getblock.io  

- Money On Chain Oracle: https://github.com/money-on-chain/Amphiraos-Oracle  

- RIF Enveloping: https://developers.rsk.co/rif/enveloping  

- RSK Infrastructure Framework: https://developers.rsk.co/rif  

- Truffle: https://developers.rsk.co/tools/truffle  
